function H = himmelblau_hessian(x1, x2)
  ##
  ## The Hessian of the Himmelblau function. See himmelblau.m for more
  ## information.
  ##
  H = zeros(2,2);
  H(1,1) = 12*x1^2 + 4*x2 - 42;
  H(1,2) = 4*x1 + 4*x2;
  H(2,1) = H(1,2);
  H(2,2) = 12*x2^2 + 4*x1 - 26;
end
